com.r3corda.node.internal

## Package com.r3corda.node.internal

### Types

APIServerImpl | `class APIServerImpl : APIServer`
AbstractNode | `abstract class AbstractNode : SingletonSerializeAsToken` A base node implementation that can be customised either for production (with real implementations that do real I/O), or a mock implementation suitable for unit test environments.
Node | `class Node : AbstractNode` A Node manages a standalone server that takes part in the P2P network. It creates the services found in ServiceHub, loads important data off disk and starts listening for connections.

### Exceptions

ConfigurationException | `class ConfigurationException : Exception`